# SPDX-FileCopyrightText: 2023 Pieter Hijma <pieterhijma@noreply.codeberg.org>
#
# SPDX-License-Identifier: LGPL-3.0-or-later

import FreeCAD as App
import Part

def print(string):
    App.Console.PrintMessage(string + "\n")

def mkP(x, y):
    return App.Vector(x, y, 0)

def mkE(p1, p2):
    return Part.LineSegment(p1, p2).toShape()

def mkW(edges):
    return Part.Wire(edges)

def mirrorP(p):
    return App.Vector(-p.x, p.y, p.z)

